Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class Post

    java.lang.Object
      be.cin.nip.async.generic.Post

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2024-04-05T05:05:47+02:00",
               comments="JAXB RI v2.3.6")
    public class Post

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CommonInput" type="{urn:be:cin:mycarenet:esb:common:v2}CommonInputType"/>
             <element name="Detail" type="{urn:be:cin:types:v1}Blob"/>
             <element name="Xades-t" type="{http://www.w3.org/2005/05/xmlmime}base64Binary" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Post()`

Method Summary
`CommonInput` | `getCommonInput()` Gets the value of the commonInput property.
`Blob` | `getDetail()` Gets the value of the detail property.
`Base64Binary` | `getXadesT()` Gets the value of the xadesT property.
`void` | `setCommonInput(CommonInput value)` Sets the value of the commonInput property.
`void` | `setDetail(Blob value)` Sets the value of the detail property.
`void` | `setXadesT(Base64Binary value)` Sets the value of the xadesT property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Post

    public Post()

Method Detail

### getCommonInput

    public CommonInput getCommonInput()

  Gets the value of the commonInput property.

  Returns:
    possible object is `CommonInput`

### setCommonInput

    public void setCommonInput(CommonInput value)

  Sets the value of the commonInput property.

  Parameters:
    `value` - allowed object is `CommonInput`

### getDetail

    public Blob getDetail()

  Gets the value of the detail property.

  Returns:
    possible object is `Blob`

### setDetail

    public void setDetail(Blob value)

  Sets the value of the detail property.

  Parameters:
    `value` - allowed object is `Blob`

### getXadesT

    public Base64Binary getXadesT()

  Gets the value of the xadesT property.

  Returns:
    possible object is `Base64Binary`

### setXadesT

    public void setXadesT(Base64Binary value)

  Sets the value of the xadesT property.

  Parameters:
    `value` - allowed object is `Base64Binary`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSLOGOPEDIST 3.26.1 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.